def setup(level):
	level.CreateNewBuilding(49.7, 34.2, 0.0)
	#                           GMFPathName                           PieceName AttachToPieceName  ToPointName   FromPointName
	level.AddBuildingPiece("Resources/Levels/Models/4pc_wood_fence.gmf",     "1",      "",             "",           "left1", 90.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/wood_fence.gmf",     "2",      "1",            "right1",   "left1", 90.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/wood_fence.gmf",     "3",      "2",            "right1",   "left1", 90.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/4pc_wood_fence.gmf", "4",      "3",            "right1",   "left1", 180.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/wood_fence.gmf",     "5",      "4",            "right1",   "left1", 180.0, 25.0)


	level.CreateNewBuilding(33.0, 57.0, 0.0)
	level.AddBuildingPiece("Resources/Levels/Models/8pc_wood_fence.gmf",  "1",      "",             "",           "left1", 180.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/8pc_wood_fence.gmf",  "2",      "1",            "right1",   "left1", -90.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/8pc_wood_fence.gmf",  "3",      "2",            "right1",   "left1", -90.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/8pc_wood_fence.gmf",  "4",      "3",            "right1",   "left1", -90.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/wood_fence.gmf",        "5",      "4",            "right1",   "left1", -90.0, 25.0)

	level.AddBuildingPiece("Resources/Levels/Models/8pc_wood_fence.gmf",  "6",      "5",            "right1",   "left1", 0.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/8pc_wood_fence.gmf",  "7",      "6",            "right1",   "left1", 0.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/8pc_wood_fence.gmf",  "8",      "7",            "right1",   "left1", 90.0, 25.0)
	level.AddBuildingPiece("Resources/Levels/Models/8pc_wood_fence.gmf",  "9",      "8",            "right1",   "left1", 90.0, 25.0)
#	level.AddBuildingPiece("Resources/Levels/Models/wood_fence.gmf",  "10",     "9",            "right1",   "left1", 90.0, -5.0)
#	level.AddBuildingPiece("Resources/Levels/Models/wood_fence.gmf",      "11",     "10",            "right1",   "left1", 180.0, -5.0)
#	level.AddBuildingPiece("Resources/Levels/Models/wood_fence.gmf",      "12",     "11",            "right1",   "left1", 180.0, -5.0)

